> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/navigationbar/navigationbar.setoptions.md).

# NavigationBar.setOptions

### 功能说明

会更改导航栏的返回、首页、标题显示、透明与否、背景色、图标·文字主题。只会应用传入的字段，省略的字段会保持上一次应用的值。首次调用前的值是小程序 config 的 `navigationBar`。

`transparentBackground`当 `true`时，导航栏会叠加在内容之上，不占据布局高度。此时 `backgroundColor`不适用。 `backgroundColor`在 `null`时，返回主题默认背景色。 `theme`只会更改图标·文字颜色。

### 类型

**参数**

```ts
type NavigationBarTheme = "light" | "dark";

interface SetNavigationBarOptions {
  withBackButton?: boolean;
  withHomeButton?: boolean;
  withTitle?: boolean;
  transparentBackground?: boolean;
  backgroundColor?: string | null; // `#RRGGBB` 或 `#RRGGBBAA`
  theme?: NavigationBarTheme;
}
```

**返回值**

```ts
Promise<void>;
```

### 示例代码

```ts
import { NavigationBar } from "@apps-in-toss/web-framework";

await NavigationBar.setOptions({ theme: "dark" });

await NavigationBar.setOptions({
  withBackButton: false,
  withHomeButton: true,
  withTitle: true,
  transparentBackground: false,
  backgroundColor: "#3182F6",
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/navigationbar/navigationbar.setoptions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
